Summary:        Easy way to change keyboard layouts
Name:           sphere-keyboard-config
Version:        0.1
Release:        1%{?dist}

License:        GPLv2
URL:            http://msvsphere-os.ru
Source0:        https://git.inferitos.ru/msvsphere/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz

Requires:       zenity
Requires:       gnome-shell
Requires:       /usr/bin/gsettings

BuildArch:      noarch

%description
Easy way to setup popular keyboard layouts to switch keyboard in GNOME Shell.

%prep
%autosetup -p1 -n %{name}

%build
echo "Nothing to build"

%install

# Create dirs
install -d -m755 %{buildroot}%{_datadir}/applications
install -d -m755 %{buildroot}%{_bindir}
install -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/
install -m755 bin/%{name}.sh %{buildroot}%{_bindir}/%{name}


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1
- Rebuilt for MSVSphere 9.4

* Tue Sep 10 2024 Arkady L. Shane <tigro@msvsphere-os.ru> - 0.1-1
- Initial build

